<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> "слушаем" события </title>
</head>
<body>
    <button id="demo">Одноразовая кнопка</button>
    <script>
        let btn = document.getElementById("demo");
        btn.addEventListener('click', myFunction);

        function myFunction() {
            alert("Hey!");
            btn.removeEventListener('click', myFunction);
        }
    </script>
</body>
</html>